Bug 1123537 - Review Request: nodejs-handlebars - Mustache extension for Node.js
Summary: Review Request: nodejs-handlebars - Mustache extension for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1171221 (view as bug list)
Depends On:
Blocks: nodejs-reviews 1171263 1171320 1171327 1171334 1171335 1171336 1171338 1171345 1171350
TreeView+ depends on / blocked
 
Reported: 2014-07-26 02:35 UTC by Eduardo Mayorga
Modified: 2014-12-29 10:07 UTC (History)
3 users (show)

Fixed In Version: nodejs-handlebars-2.0.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-28 20:43:38 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-07-26 02:35:35 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-handlebars.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-handlebars-2.0.0-0.1.alpha.4.src.rpm

Description:
Handlebars.js is an extension to the Mustache templating language created by
Chris Wanstrath. Handlebars.js and Mustache are both logicless templating
languages that keep the view and the code separated like we all know they should
be.

Fedora Account System Username: mayorga

Comment 1 Tom Hughes 2014-11-16 10:46:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 44 files have unknown
     license. Detailed output of licensecheck in /home/tom/1123537-nodejs-
     handlebars/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Dist tag is present (not strictly required in GL).
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-handlebars-2.0.0-0.1.alpha.4.noarch.rpm
          nodejs-handlebars-2.0.0-0.1.alpha.4.src.rpm
nodejs-handlebars.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-handlebars.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-handlebars.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
nodejs-handlebars.noarch: W: spelling-error %description -l en_US logicless -> logic less, logic-less, logicians
nodejs-handlebars.noarch: W: only-non-binary-in-usr-lib
nodejs-handlebars.noarch: W: dangling-symlink /usr/lib/node_modules/handlebars/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-handlebars.noarch: W: dangling-symlink /usr/bin/handlebars /usr/lib/node_modules/less/bin/handlebars
nodejs-handlebars.noarch: W: no-manual-page-for-binary handlebars
nodejs-handlebars.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-handlebars.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-handlebars.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
nodejs-handlebars.src: W: spelling-error %description -l en_US logicless -> logic less, logic-less, logicians
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-handlebars
nodejs-handlebars.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-handlebars.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-handlebars.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
nodejs-handlebars.noarch: W: spelling-error %description -l en_US logicless -> logic less, logic-less, logicians
nodejs-handlebars.noarch: W: only-non-binary-in-usr-lib
nodejs-handlebars.noarch: W: dangling-symlink /usr/lib/node_modules/handlebars/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-handlebars.noarch: W: dangling-symlink /usr/bin/handlebars /usr/lib/node_modules/less/bin/handlebars
nodejs-handlebars.noarch: W: no-manual-page-for-binary handlebars
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-handlebars (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(optimist)



Provides
--------
nodejs-handlebars:
    nodejs-handlebars
    npm(handlebars)



Source checksums
----------------
http://registry.npmjs.org/handlebars/-/handlebars-2.0.0-alpha.4.tgz :
  CHECKSUM(SHA256) this package     : de0b92a86b9a25b793e08126f17ccaabbf0e94f620f6c462a6416810ecf99205
  CHECKSUM(SHA256) upstream package : de0b92a86b9a25b793e08126f17ccaabbf0e94f620f6c462a6416810ecf99205


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1123537
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-11-16 10:48:15 UTC
There is a proper 2.0.0 release available now, and the %{?dist} tag is missing from the release.

We're also missing any tests - if you wanted to add those you would need to package from github but they may require modules we don't have yet?

Comment 3 Eduardo Mayorga 2014-11-23 19:32:36 UTC
Yes, they require grunt tasks we don't have.

Spec URL: https://mayorga.fedorapeople.org/nodejs-handlebars.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-handlebars-2.0.0-1.fc20.src.rpm

Comment 4 Tom Hughes 2014-11-24 18:58:34 UTC
That srpm seems to be corrupt - trying to unpack it just reports an error:

error: unpacking of archive failed on file /home/tom/rpm/SOURCES/handlebars-2.0.0.tgz;54737fb3: cpio: read

Comment 5 Eduardo Mayorga 2014-11-25 15:50:15 UTC
(In reply to Tom Hughes from comment #4)
> That srpm seems to be corrupt - trying to unpack it just reports an error:

It should be fixed now.

Comment 6 Tom Hughes 2014-11-25 21:21:38 UTC
The symbolic link you're installing in %{_bindir} points at the wrong place - it should point at %{nodejs_sitelib}/handlebars/bin/handlebars not %{nodejs_sitelib}/less/bin/handlebars.

Comment 7 Eduardo Mayorga 2014-11-25 22:02:33 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-handlebars.spec
SRPM URL: https://fedorapeople.org/~mayorga/nodejs-handlebars-2.0.0-2.fc20.src.rpm

* Tue Nov 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 2.0.0-2
- Fixing symlink to CLI

Comment 8 Tom Hughes 2014-11-25 22:37:31 UTC
Great. Package approved.

Comment 9 Eduardo Mayorga 2014-11-26 00:29:15 UTC
New Package SCM Request
=======================
Package Name: nodejs-handlebars
Short Description: Mustache extension for Node.js
Upstream URL: http://handlebarsjs.com/
Owners: mayorga
Branches: f20 f21 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-11-26 12:32:52 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-11-26 19:42:13 UTC
nodejs-handlebars-2.0.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-2.el7

Comment 12 Fedora Update System 2014-11-26 19:48:07 UTC
nodejs-handlebars-2.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-2.fc21

Comment 13 Fedora Update System 2014-11-26 19:50:34 UTC
nodejs-handlebars-2.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-2.fc20

Comment 14 Fedora Update System 2014-11-26 19:52:19 UTC
nodejs-handlebars-2.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-2.el6

Comment 15 Fedora Update System 2014-11-27 18:10:06 UTC
nodejs-handlebars-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 16 Parag AN(पराग) 2014-12-06 12:36:31 UTC
*** Bug 1171221 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2014-12-08 23:59:22 UTC
nodejs-handlebars-2.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-3.el6

Comment 18 Fedora Update System 2014-12-09 01:07:31 UTC
nodejs-handlebars-2.0.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-3.fc21

Comment 19 Fedora Update System 2014-12-09 02:45:06 UTC
nodejs-handlebars-2.0.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-3.fc20

Comment 20 Fedora Update System 2014-12-09 03:03:59 UTC
nodejs-handlebars-2.0.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-3.el7

Comment 21 Fedora Update System 2014-12-10 17:20:51 UTC
nodejs-handlebars-2.0.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-4.fc21

Comment 22 Fedora Update System 2014-12-10 17:25:41 UTC
nodejs-handlebars-2.0.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-4.el6

Comment 23 Fedora Update System 2014-12-10 17:27:47 UTC
nodejs-handlebars-2.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-4.fc20

Comment 24 Fedora Update System 2014-12-10 17:30:18 UTC
nodejs-handlebars-2.0.0-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-handlebars-2.0.0-4.el7

Comment 25 Piotr Popieluch 2014-12-27 19:04:38 UTC
Could you please push the updates to the stable repositories? I have many packages which I would like to push to stable and depend on handlebars.

Comment 26 Fedora Update System 2014-12-28 20:43:38 UTC
nodejs-handlebars-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2014-12-28 20:44:04 UTC
nodejs-handlebars-2.0.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2014-12-29 10:00:51 UTC
nodejs-handlebars-2.0.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2014-12-29 10:07:40 UTC
nodejs-handlebars-2.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.